curl --request PUT \
--url https://api.opal.dev/v1/groups/{group_id}/users/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"duration_minutes": 60,
"access_level_remote_id": "arn:aws:iam::590304332660:role/AdministratorAccess"
}
'import requests
url = "https://api.opal.dev/v1/groups/{group_id}/users/{user_id}"
payload = {
"duration_minutes": 60,
"access_level_remote_id": "arn:aws:iam::590304332660:role/AdministratorAccess"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
duration_minutes: 60,
access_level_remote_id: 'arn:aws:iam::590304332660:role/AdministratorAccess'
})
};
fetch('https://api.opal.dev/v1/groups/{group_id}/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"full_name": "Jake Barnes",
"user_id": "29827fb8-f2dd-4e80-9576-28e31e9934ac",
"group_id": "1b978423-db0a-4037-a4cf-f79c60cb67b3",
"expiration_date": "2022-01-23T04:56:07.000Z",
"email": "jake@company.dev"
}Updates a user’s access level or duration in this group.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the group.
The ID of the user whose access is being updated.
Body
The updated duration for which the group can be accessed (in minutes). Use 0 for indefinite, or a negative value to revoke access.
x <= 153722867120
The updated remote ID of the access level granted to this user.
"arn:aws:iam::590304332660:role/ReadOnlyAccess"
Response
The GroupUser was successfully updated.
Group Access User Object
Description
The GroupAccessUser object is used to represent a user with access to a group.
Usage Example
Fetch from the LIST GroupUsers endpoint.
The ID of the group.
"1b978423-db0a-4037-a4cf-f79c60cb67b3"
The name of the group.
"API Group"
The description of the group.
"Group required to request API's"
The ID of the user.
"29827fb8-f2dd-4e80-9576-28e31e9934ac"
The user's full name.
"Jake Barnes"
The user's email.
"jake@company.dev"
Access Level Object
Description
The GroupAccessLevel object is used to represent the level of access that a user has to a group or a group has to a group. The "default" access
level is a GroupAccessLevel object whose fields are all empty strings.
Usage Example
View the GroupAccessLevel of a group/user or group/group pair to see the level of access granted to the group.
Show child attributes
Show child attributes
{
"access_level_name": "Developer",
"access_level_remote_id": 20
}
The day and time the user's access will expire.
"2022-01-23T04:56:07.000Z"
The state of whether the push action was propagated to the remote system. If this is null, the access was synced from the remote system.
Show child attributes
Show child attributes
Was this page helpful?